| Home | Libraries | People | FAQ | More

##### windows::basic_object_handle::cancel (1 of 2 overloads)

Inherited from windows::basic_handle.

Cancel all asynchronous operations associated with the handle.

    void cancel();

This function causes all outstanding asynchronous read or write operations to finish immediately, and the handlers for cancelled operations will be passed the `boost::asio::error::operation_aborted` error.

###### Exceptions

boost::system::system_error

  Thrown on failure.